/***************************************************************************
                          treeclemain.cpp  -  description
                             -------------------
    begin                : Sun Jul 14 2002
    copyright            : (C) 2002 by Kartik Patel
    email                : k_patel@vsnl.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <Fl/Fl.H>
#include "Fl_Editor.H"
#include "treecle.h"
#include <FL/Fl_Help_Dialog.H>

Fl_Pixmap *folderSmall;
Fl_Pixmap *fileSmall;
Fl_Pixmap *closedfolderSmall;
Fl_Pixmap *closedfullfolderSmall;

Fl_Help_Dialog helpwindow;
char helpfilename[128];

extern char *editorbuffer;
extern Fl_Editor *itemeditor;

void initial_settings (void);

int main (int *argc, char **argv)
{
	
	make_ui_window ();
	initial_settings ();
	
	basewindow->show ();

	Fl::run ();
	return 0;
}

void initial_settings (void)
{

	folderSmall = new Fl_Pixmap (tt_folder_small_xpm);
	fileSmall = new Fl_Pixmap (tt_file_small_xpm);
	closedfolderSmall = new Fl_Pixmap (tt_closed_folder_small);
	closedfullfolderSmall = new Fl_Pixmap (tt_closed_full_folder_small);

	treebase->size (basetile->w() - itemeditor->w(), basetile->h());
	treelist->draw_lines (1);
	treelist->trim_color (FL_RED);
	treelist->alternate_color (FL_WHITE);
	itemeditor->textfont (FL_HELVETICA);

	//allocate something in editorbuffer
	//editorbuffer = (char *)calloc (2, 2);
	
	//this loads the help file in the HTML help widget
	sprintf (helpfilename, "treeclehelp.html");	
	helpwindow.load(helpfilename);
}